Viewing Issue Advanced Details Jump to Notes ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06263 Interface Major Always Jun 29, 2016, 19:08 Jul 14, 2016, 05:51
Tester Zaghadka View Status Public Platform MAME (Official Binary)
Assigned To dankan1890 Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved   Driver
Version 0.175 Fixed in Version 0.176 Build
Summary 06263: UI: Choosing any filter which has no data makes the UI unrecoverable
Description When there are no assets for any particular, clicking on that filter will collapse the UI, removing all filter tabs as options. The only way to recover is to change ui.ini and delete the value from "last_used_filter.". It is unrecoverable from within the UI.
Steps To Reproduce Click on any filter that has no entries. The easiest one to duplicate for most might be "Favorites".
Additional Information
Flags
Regression Version 0.175
Affected Sets / Systems
Attached Files
png file icon mame64 2016-06-29 14-02-04-04.png (50,829 bytes)  Jun 29, 2016, 19:08 by Zaghadka
The UI after clicking on "Unavailable" with complete set
Zaghadka


-  Notes
User avatar
No.12847
B2K24
(Moderator)
Jun 29, 2016, 19:52
Apparently there is another bug where it sees clones in a merged set as unavailable. Having unavailable selected as the only filter I get 22262 / 33472 with all games greyed out and yet they still successfully launch. As a result of this I'm unable to confirm this report.
User avatar
No.12848
Robbbert
(Developer)
Jun 29, 2016, 22:37
"Greyed" means it's a clone.
User avatar
No.12849
Robbbert
(Developer)
Jun 29, 2016, 22:41
I can't confirm as reported, but I selected "Favorites" without having any, and the problem appears.
User avatar
No.12850
Tafoid
(Administrator)
Jun 30, 2016, 00:44
AFAIK the MAME menu has always been set up to work off split/clone methods of romsets in that it only looks for a "setname.zip" or "setname.7z" or a folder called "setname" in your rompath to detect as available. A full auditing would take forever within MAME's framework.
User avatar
No.12851
Tafoid
(Administrator)
Jun 30, 2016, 00:53
Using the favorites as a test screen, I've narrowed the changes down to:
https://github.com/mamedev/mame/commit/51adfcc66bb109655d578ad6b68159cae1701768

It seems to be the only commit during that day that goes near the UI.
User avatar
No.12852
B2K24
(Moderator)
Jun 30, 2016, 01:09
I can also confirm the reported behavior when "Favorites" is selected as a filter.
User avatar
No.12938
cuavas
(Administrator)
Jul 14, 2016, 05:51
It's probably this commit that fixes it: https://github.com/mamedev/mame/commit/1abf53ca6a7a01ae2d4491825a97b0a4baef634a